Get cart for the given cart ID or user auth token (cart decoupled)
curl --request GET \
--url https://prod01-apigw.{customer_name}.fabric.zone/api-cart/cart-decoupled \
--header 'x-site-context: <x-site-context>'import requests
url = "https://prod01-apigw.{customer_name}.fabric.zone/api-cart/cart-decoupled"
headers = {"x-site-context": "<x-site-context>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-site-context': '<x-site-context>'}};
fetch('https://prod01-apigw.{customer_name}.fabric.zone/api-cart/cart-decoupled', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"registeredUser": false,
"account": "<string>",
"approver": "<string>",
"po": "<string>",
"cartId": 111166,
"status": "pending",
"allPromosApplied": "<array>",
"attributes": "<array>",
"__v": 0,
"totalAmount": {
"currency": "USD",
"amount": 38
},
"quantity": 2,
"_id": "5fee9d59f2f08a1b3cbdea08",
"createdAt": "2020-12-31T02:09:53.914Z",
"updatedAt": "2020-12-31T02:09:53.914Z",
"deleted": false,
"items": [
{
"price": {
"discount": {
"discountAmount": 0,
"price": 0,
"promosApplied": "<array>"
},
"sale": 0,
"base": 19,
"currency": "USD"
},
"sample": false,
"isUnique": false,
"discountedQuantity": 0,
"group": [
"123123123123123123123123"
],
"weightUnit": "lb",
"isPickup": false,
"itemId": 15,
"sku": "sk231212",
"taxCode": "TC1234567890",
"title": "fabric t-shirt",
"weight": 4.2,
"quantity": 2,
"lineItemId": 1,
"attributeTotalPrice": 0,
"totalPrice": {
"currency": "USD",
"amount": 38
},
"attributes": "<array>",
"id": "6141a40c13f13a000876272a",
"_id": "5fee9d59f2f08a1b3cbdea08",
"createdAt": "2020-12-31T02:09:53.914Z",
"updatedAt": "2020-12-31T02:09:53.914Z"
}
]
}{
"code": "<string>",
"message": "<string>"
}{
"code": "CART_NOT_FOUND",
"message": "Cart not found."
}{
"code": "<string>",
"message": "<string>"
}Cart Decoupled
Get cart for the given cart ID or user auth token (cart decoupled)
Get cart for the given cart ID or user auth token (cart decoupled)
GET
/
api-cart
/
cart-decoupled
Get cart for the given cart ID or user auth token (cart decoupled)
Headers
The x-site-context header is a JSON object that contains information about the source you wish to pull from. The mandatory account is the 24 character identifier found in Copilot. The channel (Sales channel ID), stage (environment name), and date attributes can be used to further narrow the scope of your data source.
Example:
"{\"date\": \"2023-01-01T00:00:00.000Z\", \"channel\": 12, \"account\": \"1234abcd5678efgh9ijklmno\",\"stage\":\"production\"}"
Query Parameters
- Option 1
- Option 2
Show child attributes
Show child attributes
Response
Return cart for specific cartId or userAuthToken
Example:
false
Example:
111166
Example:
"pending"
Example:
0
Show child attributes
Show child attributes
Example:
2
Example:
"5fee9d59f2f08a1b3cbdea08"
Example:
"2020-12-31T02:09:53.914Z"
Example:
"2020-12-31T02:09:53.914Z"
Example:
false
Show child attributes
Show child attributes
Was this page helpful?
